package org.openconcerto.modules.menuandrome;

import java.awt.Dimension;
import java.awt.Font;


import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;


import javax.swing.Action;

public class MenuButton extends JButton {
	
	
	private int but_w=190;
    private int but_h=75;
	
	
	public MenuButton(Action act, String texte,String fichier_icone)
	{
		 super(act);
		 
		ImageIcon icon = new ImageIcon(this.getClass().getResource("/ressources/"+fichier_icone));
		
		this.setText(texte);
		this.setIcon(icon);
		
		this.setFont(new Font("Sans Serif", Font.BOLD, 14));
		this.setMinimumSize(new Dimension(but_w, but_h));
		this.setPreferredSize(new Dimension(but_w, but_h));
		this.setMaximumSize(new Dimension(but_w, but_h));
		  
	}
	
	
	

}
